Subject: Re: Jami: Updating opendht needed

From: Pierre Neidhardt <[email-masked]>
Date: Sat, 11 Jul 2020 15:24:37 +0200

Jan Wielkiewicz <[email-masked]> writes:

> I made a patch already.
> https://lists.gnu.org/archive/html/guix-patches/2020-07/msg00283.html
> It seems opendht is just buggy there, as using one of its features
> causes compilation error, so I think it is okay to patch the bug.
> What's the point of keeping unusable software in the repo anyway?
> Devs from Savoir-faire linux use opendht features in Jami right from
> master, because they develop both. But I can't do that. 

If you have a legitimate reason to think that current stable is
unusable, feel free to update the opendht public package to the commit
that works and add a comment explaining why.

-- 
Pierre Neidhardt
https://ambrevar.xyz/